javax.ws.rs.container

## Interface ResourceContext

-     public interface ResourceContext

  The resource context provides access to instances of resource classes.

  This interface can be injected using the `Context` annotation.

  The resource context can be utilized when instances of managed resource classes are to be returned by sub-resource locator methods. Such instances will be injected and managed within the declared scope just like instances of root resource classes.

  Author:
    Marek Potociar

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `getResource(Class<T> resourceClass)` Get a resolved instance of a resource or sub-resource class.
    `<T> T` | `initResource(T resource)` Initialize the resource or sub-resource instance.

- - ### Method Detail

    - #### getResource

          <T> T getResource(Class<T> resourceClass)

      Get a resolved instance of a resource or sub-resource class.

      The resolved resource instance is properly initialized in the context of the current request processing scope. The scope of the resolved resource instance depends on the managing container. For resources managed by JAX-RS container the default scope is per-request.

      Type Parameters:
        `T` - the type of the resource class.
      Parameters:
        `resourceClass` - the resource class.
      Returns:
        an instance if it could be resolved, otherwise `null`.

    - #### initResource

          <T> T initResource(T resource)

      Initialize the resource or sub-resource instance. All JAX-RS injectable fields in the resource instance will be properly initialized in the context of the current request processing scope.
      Type Parameters:
        `T` - resource instance type.
      Parameters:
        `resource` - resource instance.
      Returns:
        initialized (same) resource instance.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.